# Configure LXDE to start the Midori browser on login.
# Derived from http://www.niteoweb.com/blog/raspberry-pi-boot-to-browser
#
# Recipe:: lxde_config
# Cookbook:: raspberrypi_kiosk
# Author:: Greg Albrecht <gba@onbeep.com>
# License:: Apache License, Version 2.0
# Copyright:: Copyright 2014 OnBeep, Inc.
# Source:: https://github.com/onbeep-cookbooks/raspberrypi_kiosk
#


LXDE_AUTOSTART_FILE = '/etc/xdg/lxsession/LXDE/autostart'


browser_command = case node['raspberrypi_kiosk']['browser']
when 'midori'
  "midori -p -e Fullscreen -a #{node['raspberrypi_kiosk']['url']}"
when 'chromium'
  "chromium --kiosk --incognito #{node['raspberrypi_kiosk']['url']}"
when 'iceweasel'
  "iceweasel #{node['raspberrypi_kiosk']['url']}"
end

template LXDE_AUTOSTART_FILE do
  variables(
    :browser_command => browser_command
  )
end
